gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object The purpose of this class is to offer notification when displays appear or disappear or the default display changes. To be added
- Constructor
  2.12.0.0
  Do not use.
  This object is a singleton object, and should be accessed through instead of creating a new instance.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  raw unmanaged pointer.
  Internal constructor.
  This constructor is internal and should not be used.
- Property
  2.12.0.0
  GLib.Property("default-display")
  Gdk.Display Access and modify the default display. The default . None.
- Event
  2.12.0.0
  GLib.Signal("display_opened")
  Gdk.DisplayOpenedHandler Event emitted when a display is opened. None.
- Method
  2.12.0.0
  Gdk.DisplayManager Returns the global DisplayManager instance. The global instance. This is the only valid way to access this class.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gdk.Display[] List all currently open displays. The currently open displays as an array of . None.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDisplayOpened", Type=typeof(Gdk.DisplayManager))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.